<!doctype html>
<html>
  <head>
    <meta charset="utf-8">
    <title>Secret Sharing Scheme TEST</title>
  </head>
    <body>
    
    <p><strong>Процесс разделения секрета</strong></p>
    <p>Введите значение ключа в целочисленном формате:</p>
    <input type="number" name="secret" id="secret"/>

    <p>Выберите значение порога t:</p>
    <input type="number" name="t" id="t"/>

    <p>Выберите количество генерируемых частей ключа n:</p>
    <input type="number" name="n" id="n"/>
      
    <button onclick="outputsplit()">Разделить ключ</button>
    
    <script type="text/javascript">
    
    function outputsplit(){
    	var secretword = document.getElementById('secret').value;
    	var t = document.getElementById('t').value;
    	var n = document.getElementById('n').value;
    
    	var content = Module.ccall('secretsplit', 'void', ['number', 'number', 'number'], [parseInt(secretword), parseInt(n), parseInt(t)]);
	    
    }
    
    </script>
    <p id='output1'></p>
    
    <p><strong>Процесс сборки секрета</strong></p>
    <p>Через пробел укажите случайно выбранные части ключа для сборки:</p>
    <input type="text" name="shares" id="shares"/>
    <button onclick="splitcombine()">Собрать ключ</button>
    
    <p id='output2'></p>

    <script type="text/javascript">
    
    function splitcombine(){
    	var shares = document.getElementById('shares').value;
    
    	var content = Module.ccall('secretcombining', 'void', ['string'], [shares+'\0']);
    	
	    
    }
    
    </script>
    <script src="sh.js"></script>
  </body>
</html>
